<?php
	/*
		File Created and Mime Types Researched by Navarr T. Barnier

		File is licensed for WiiCR and WiiMedia, with only those
			projects being allowed to edit and redistribute this file.

		All other projects must get written consent of Navarr T. Barnier
			before editing or distributing this file.

		Contact:
			navarr@gtaero.net
			AIM: navarr6
			YIM: navarr6
			MSN: navarr@gmail.com

		Usage:
			/location/to/this/file.php?loc=C:\Location\to\Requested\File.png

		This file will then display the file that is requested, as long as said
			file has permissions that allows it to be read by the web server.

	*/
	
	/* modfied by mem */
	
	$ln = 0;
	$ln = $_GET['line'];
	
	$data = file_get_contents("mp3s.txt");
	$data = str_replace(array("\r\n","\n"),"\n",$data);
	$dataarray = explode("\n",$data);
	
	$loc = $dataarray[$ln];

	// trim whitespaces
	$loc = trim($loc);
	
	if (strtolower(substr($loc,-4,4)) == '.mp3') { header('Content-Type: audio/mpeg3'); }
	echo file_get_contents($loc);
?>

